package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ers;
import com.brilliance.isc.vo.lg.InfswfYunAndELbConditionVo;
import com.brilliance.isc.vo.lg.InfswfYunAndELbVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface ErsMapper {

    int insert(Ers record);

    int insertSelective(Ers record);

    int updateByPrimaryKeySelective(Ers record);

    int updateByPrimaryKey(Ers record);

    int deleteByPrimaryKey(Ers record);

    int deleteByIds(Collection<Object> collection);

    Ers selectByPrimaryKey(Ers record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ers> dyncRead(Map<String,Object> dyncMap);

    int getCountByDocfil(String docfil);

    int selectCountByVo(Ers ers);

    int selectCountByCwms(@Param("fileName") String fileName);

    void updateErsStaByInr(@Param("inr") String inr, @Param("sta") String sta, @Param("msg") String msg);

    List<Ers> selectByWhere(Ers record);

    Ers selectByTrninrAndDir(@Param("trninr") String trninr, @Param("dir") String dir);

    List<Ers> selectByTrninrAndDirList(@Param("trninr") String trninr, @Param("dir") String dir);

    Ers selectByTrninrAndDirAndMsgtypAndOthersno(@Param("trninr") String trninr, @Param("dir") String dir, @Param("msgtyp") String msgtyp, @Param("othersno") String othersno);

    Ers getErsBySmhinr(@Param("smhinr") String smhinr);

    int updateBusstaAndTrninrByInr(@Param("bussta") String bussta, @Param("inr") String inr);
    /**
     * 查询来报Ers信息
     *
     * smhinr spt.smhinr
     * @return List<Ers> 返回结果
     */
    List<Ers> getErsListBySmhinr(String smhinr);

    Ers getIncomingEjsErsBySmhinr(@Param("smhinr") String smhinr);

    Ers getIncomingYptErsBySptinr(@Param("sptinr") String sptinr);

    Ers getIncomingYptErsBySmhinr(@Param("smhinr") String smhinr);

    Ers selectByOwnrefAndDirAndMsgtyp(@Param("ownref") String ownref, @Param("dir") String dir, @Param("msgtyp") String msgtyp);

    int deleteByTrninr(@Param("trninr") String trninr);

    Ers getErsByOwnref(@Param("ownref") String ownref,@Param("msgtyp") String msgtyp);

    List<InfswfYunAndELbVo> queryInfSwfErsList(InfswfYunAndELbConditionVo infswfYunAndELbConditionVo);

    Ers selectBySptinr(@Param("sptinr") String sptinr);

    List<Ers> selectBySptinrAndDirList(@Param("sptinr") String sptinr, @Param("dir") String dir);

    Ers selectBySmhinrAndCortyp(@Param("smhinr") String smhinr, @Param("cortyp") String cortyp);

    Ers selectByTrninr(@Param("objinr") String objinr);

    int updateBusstaByTrninrAndMsgTyp(@Param("trninr") String trninr);

    int deleteByTrninrAndMsgTyp(@Param("trninr") String trninr);

    String selectTxtinf(@Param("billid") String billid, @Param("msgtyp") String msgtyp);

    List<Ers> selectByWhereDesc(Ers record);

    String selectTxtinfByBillid(@Param("billid") String billid);

    String getImgnumBySmhinr(@Param("smhinr") String smhinr);

    String getOwnrefByF20AndMsgtyp(@Param("f20") String f20,@Param("msgtyp") String msgtyp);

}



